# eric4.Preferences.ConfigurationPages.ConfigurationPageBase

Module implementing the base class for all configuration pages.

### Global Attributes

None

### Classes

ConfigurationPageBase | Class implementing the base class for all configuration pages.

### Functions

None

## ConfigurationPageBase

Class implementing the base class for all configuration pages.

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

ConfigurationPageBase | Constructor
initColour | Public method to initialize a colour selection button.
polishPage | Public slot to perform some polishing actions.
saveState | Public method to save the current state of the widget.
selectColour | Public method used by the colour selection buttons.
selectFont | Public method used by the font selection buttons.
setState | Public method to set the state of the widget.

### Static Methods

None

#### ConfigurationPageBase (Constructor)

ConfigurationPageBase()

Constructor

#### ConfigurationPageBase.initColour

initColour(colourstr, button, prefMethod)

Public method to initialize a colour selection button.

colourstr
  colour to be set (string)
button
  reference to a QButton to show the colour on
prefMethod
  preferences method to get the colour

Returns:
  reference to the created colour (QColor)

#### ConfigurationPageBase.polishPage

polishPage()

Public slot to perform some polishing actions.

#### ConfigurationPageBase.saveState

saveState()

Public method to save the current state of the widget.

#### ConfigurationPageBase.selectColour

selectColour(button, colourVar)

Public method used by the colour selection buttons.

button
  reference to a QButton to show the colour on
colourVar
  reference to the variable containing the colour (QColor)

Returns:
  selected colour (QColor)

#### ConfigurationPageBase.selectFont

selectFont(fontSample, fontVar, showFontInfo = False)

Public method used by the font selection buttons.

fontSample
  reference to the font sample widget (QLineEdit)
fontVar
  reference to the variable containing the font (QFont)
showFontInfo
  flag indicating to show some font info as the sample (boolean)

Returns:
  selected font (QFont)

#### ConfigurationPageBase.setState

setState(state)

Public method to set the state of the widget.

state
  state data generated by saveState

Up